For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Platform
    • Introduction
    • Screenings
    • Immigration
  • Endpoints
      • POSTCreate a new legal entity
      • DELDelete a legal entity
      • PATCHEdit a legal entity
      • GETList all industry subcategories
      • GETList of legal entities
LogoLogo
SupportDeel Home
EndpointsLegal Entities

Create a new legal entity

POST
/legal-entities
POST
/rest/v2/legal-entities
$curl -X POST https://api.letsdeel.com/rest/v2/legal-entities \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "data": {
3 "id": "le_12345",
4 "name": "Acme Corporation",
5 "phone": "+1-800-555-0199",
6 "address": {
7 "zip": "12345",
8 "city": "San Francisco",
9 "state": "Texas",
10 "street": "123 Main St",
11 "country": "US"
12 },
13 "created_at": "2024-01-01T12:00:00Z",
14 "sic_number": "1234",
15 "updated_at": "2024-01-02T12:00:00Z",
16 "entity_type": "LLC"
17 }
18}

Creates a new legal entity under the organization and returns the entity record including its assigned id. Token scopes: legal-entity:write, legal-entity:read

Was this page helpful?
Previous

Delete a legal entity

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Request

This endpoint expects an object.
dataobjectOptional

Response

Successfully created legal entity.
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication